Robots
List robot providers
Retrieve supported Robot model providers, redacted settings, cache status and cached models.
GET
/robots/providersRetrieve supported Robot model providers, redacted settings, cache status and cached models.
storyden-session<token>
In: cookie
Response Body
application/json
application/json
curl -X GET "https://example.com/robots/providers"{
"providers": [
{
"provider": "openai",
"supported": true,
"settings": {
"enabled": true,
"has_api_key": true,
"requires_api_key": true
},
"cache": {
"last_refreshed_at": "2019-08-24T14:15:22Z",
"last_error": "string",
"stale": true
},
"models": [
{
"ref": "openai/gpt-4.1-mini",
"provider": "openai",
"model": "gpt-4.1-mini"
}
]
}
]
}Empty
Empty
{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}